Loading...
Searching...
No Matches
juce::NullCheckedInvocation Struct Reference

`#include <juce_Functional.h>`

## Static Public Member Functions

template<typename Callable, typename... Args>
static void | invoke (Callable &&fn, Args &&... args)
template<typename... Args>
static void | invoke (std::nullptr_t, Args &&...)

## Detailed Description

Some helper methods for checking a callable object before invoking with the specified arguments.

If the object provides a comparison operator for nullptr it will check before calling. For other objects it will just invoke the function call operator.

Definition at line 49 of file juce_Functional.h.

## Member Function Documentation

## invoke() [1/2]

template<typename Callable, typename... Args>

void juce::NullCheckedInvocation::invoke | ( | Callable && | fn,
|  | Args &&... | args )

inline static

Definition at line 52 of file juce_Functional.h.

## invoke() [2/2]

template<typename... Args>

void juce::NullCheckedInvocation::invoke | ( | std::nullptr_t | ,
|  | Args && | ... )

inline static

Definition at line 70 of file juce_Functional.h.

The documentation for this struct was generated from the following file:

- juce_Functional.h